#!/bin/sh
PRG="$0"
while [ -h "$PRG" ] ; do
ls=`ls -ld "$PRG"`
link=`expr "$ls" : '.*-> \(.*\)$'`
if expr "$link" : '/.*' > /dev/null; then
PRG="$link"
else
PRG=`dirname "$PRG"`/"$link"
fi
done

PRGDIR=`dirname "$PRG"`
VAULT_HOME=`cd "$PRGDIR/.." ; pwd`

EXECUTABLE=startVault.sh
# Check that target executable exists
if [ ! -x "$VAULT_HOME"/bin/"$EXECUTABLE" ]; then
echo "Cannot find $VAULT_HOME/bin/$EXECUTABLE"
echo "This file is needed to run this program"
exit 1
fi
#change the path to the install path.
#VAULT_HOME=C:/sandbox/dev/components/dbUtil
VAULT_CLASSPATH="$VAULT_HOME"/lib/vault.jar:"$VAULT_HOME"/lib/hsqldb.jar:"$VAULT_HOME"/lib/log4j.jar

exec java -DVAULT_HOME=${VAULT_HOME} -Xmx150M -Xms150M -cp ${VAULT_CLASSPATH} com.movvasoft.components.vault.ui.swing.StartMe &
